Public Member Functions

# BinNavi.API.disassembly.DebuggerTemplate Class Reference

Can be used to create debugger objects. More...

Inherits BinNavi::APIHelpers::ApiObject< CDebuggerTemplate >.

List of all members.

## Public Member Functions
void | addListener (final IDebuggerTemplateListener listener)
| Adds a debugger template listener.
String | getHost ()
| Host of the debug client.
String | getName ()
| Name of the debugger template.
int | getPort ()
| Port of the debug client.
void | removeListener (final IDebuggerTemplateListener listener)
| Removes a debugger template listener.
void | setHost (final String host) throws CouldntSaveDataException
| Changes the debug client host.
void | setName (final String name) throws CouldntSaveDataException
| Changes the debugger template name.
void | setPort (final int port) throws CouldntSaveDataException
| Changes the debug client port.

## Detailed Description

Represents a debugger template. Debugger templates can be assigned to projects and modules where they are converted to Debugger objects that can be used to debug the targets.

## Member Function Documentation

void BinNavi.API.disassembly.DebuggerTemplate.addListener | ( | final IDebuggerTemplateListener | listener | ) |

Adds an object that is notified about changes in the debugger template.

Parameters:

  | listener | The listener object that is notified about changes in the debugger template.

Exceptions:

  | IllegalArgumentException | Thrown if the listener argument is null.
  | IllegalStateException | Thrown if the listener object is already listening on the debugger template.

String BinNavi.API.disassembly.DebuggerTemplate.getHost | ( |  | ) |

Returns the host of the debug client used by the debugger template.

Returns:
  The host of the debug client.

String BinNavi.API.disassembly.DebuggerTemplate.getName | ( |  | ) |

Returns the name of the debugger template.

Returns:
  The name of the debugger template.

int BinNavi.API.disassembly.DebuggerTemplate.getPort | ( |  | ) |

Returns the port of the debug client used by the debugger template.

Returns:
  The port of the debug client.

void BinNavi.API.disassembly.DebuggerTemplate.removeListener | ( | final IDebuggerTemplateListener | listener | ) |

Removes a listener object from the debugger template.

Parameters:

  | listener | The listener object to remove from the debugger template.

Exceptions:

  | IllegalArgumentException | Thrown if the listener argument is null.
  | IllegalStateException | Thrown if the listener object was not listening on the debugger template.

void BinNavi.API.disassembly.DebuggerTemplate.setHost | ( | final String | host | ) | throws CouldntSaveDataException

Changes the host of the debug client used by the debugger template.

Parameters:

  | host | The new debug client host.

Exceptions:

  | CouldntSaveDataException | Thrown if the debugger template could not be updated.

void BinNavi.API.disassembly.DebuggerTemplate.setName | ( | final String | name | ) | throws CouldntSaveDataException

Changes the name of the debugger template.

Parameters:

  | name | The new name of the debugger template.

Exceptions:

  | CouldntSaveDataException | Thrown if the debugger template could not be updated.

void BinNavi.API.disassembly.DebuggerTemplate.setPort | ( | final int | port | ) | throws CouldntSaveDataException

Changes the port of the debug client used by the debugger template.

Parameters:

  | port | The new debug client port.

Exceptions:

  | CouldntSaveDataException | Thrown if the debugger template could not be updated.